---
title: Testing for a Landau distribution
date: \today
author:
  - Giulia Marcer
  - Michele Guerini Rocco
institute:
  - Università di Milano-Bicocca

theme: metropolis
themeoptions:
  - titleformat=allcaps
  - block=fill
aspectratio: 169

fontsize: 12pt
mainfont: Fira Sans
mainfontoptions:
  - BoldFont=Fira Sans SemiBold
mathfont: FiraMath-Regular

references:
  - id: trapani15
    type: article-journal
    author:
      family: Trapani
      given: Lorenzo
    title: Testing for (in)finite moments
    container-title: Journal of Econometrics
    issued:
      year: 2015
  - id: silver86
    type: book
    author:
      family: Silverman
      given: Bernard W.
    title: Density Estimation for Statistics and Data Analysis
    issued:
      year: 1986
  - id: robertson74
    type: article-journal
    author:
    - family: Robertson
      given: Tim
    - family: Cryer
      given: Jonathan D
    issued:
      - year: 1974
    title: An iterative procedure for estimating the mode
    container-title: Journal of the American Statistical Association
    volume: 69
    issue: 348

header-includes: |
  ```{=latex}
  %% Colors
  \definecolor{cyclamen}{HTML}{92182B}
  \definecolor{green}   {HTML}{60AC39}
  \definecolor{red}     {HTML}{D73737}
  \definecolor{blue}    {HTML}{6684E1}
  \definecolor{yellow}  {HTML}{CFB017}
  \setbeamercolor{frametitle}{bg=cyclamen}

  % no bold titles
  \setbeamerfont{title}{series=\mdseries}
  \setbeamerfont{section title}{series=\mdseries}
  \setbeamerfont{frametitle}{series=\mdseries}

  % trick to put markdown inside LaTeX
  \let\Begin\begin
  \let\End\end

  % workaround for issue jgm/pandoc#3007
  \makeatletter
  \beamer@ignorenonframefalse
  \makeatother

  % workaround for issue matze/mtheme#371
  \def\sectionpage{
    \centering
    \begin{minipage}{22em}
      \raggedright
      \usebeamercolor[fg]{section title}
      \usebeamerfont{section title}
      \MakeUppercase{\insertsectionhead\\[-1ex]}
      \usebeamertemplate*{progress bar in section page}
    \end{minipage}
    \par
    \vspace{\baselineskip}
  }

  % don't hide animation completely
  \setbeamercovered{transparent}

  % strike macro
  \usepackage{ulem}
  \newcommand\strike{\bgroup\markoverwith{%
    \textcolor{cyclamen}{\rule[0.5ex]{2pt}{1pt}}}\ULon}

  % center images
  \LetLtxMacro{\oldIncludegraphics}{\includegraphics}
  \renewcommand{\includegraphics}[2][]{
    \centering
    \oldIncludegraphics[#1]{#2}
  }

  % multirow tables
  \usepackage{multirow}
  \usepackage{booktabs}

  %% tikz setup
  \usepackage{tikz}
  \usetikzlibrary{arrows.meta}

  %% math macros

  % thus
  \DeclareMathOperator{\thus}{%
    \hspace{30pt} \Longrightarrow \hspace{30pt}
  }

  % hence
  \DeclareMathOperator{\hence}{%
    \quad \longrightarrow \quad
  }

  % and
  \DeclareMathOperator{\et}{%
    \hspace{30pt} \wedge \hspace{30pt}
  }

  % with
  \DeclareMathOperator{\with}{%
  \hspace{30pt} \text{with} \hspace{30pt}
  }

  % expected
  \DeclareMathOperator{\ex}{%
    ^{\text{exp}}
  }

  % observed
  \DeclareMathOperator{\ob}{%
    ^{\text{obs}}
  }

  % red colored
  \newcommand{\red}[1]{%
  \textcolor{red}{#1}
  }

  % green colored
  \newcommand{\gre}[1]{%
  \textcolor{green}{#1}
  }
  ```

csl: ../notes/docs/bibliography.csl
...
