# Results


## Compatibility test

Comparing sample properties:

$$
  p = 1 - \text{erf} \left( \frac{t}{\sqrt{2}} \right)\ \with
  t = \frac{|x\ex - x\ob|}{\sqrt{\sigma\ex^2 + \sigma\ob^2}}
$$

- $x\ex$ and $x\ob$ are the expected and observed values
- $\sigma\ex$ and $\sigma\ob$ are their absolute errors

. . .

At 95% confidence level, the values are compatible if:
$$
  p > 0.05
$$


## Compatibility test

\setbeamercovered{}
\begin{center}
\begin{tikzpicture}[>=Stealth]
  %notes
  \draw [very thick, gray] (0,0) -- (0,3);
  \draw [very thick, gray] (-1.45,1.5) -- (1.45,1.5);
  \draw [very thick, gray] (-1.35,1.3) -- (-1.55,1.7);
  \draw [very thick, gray] ( 1.35,1.3) -- ( 1.55,1.7);
  \node at (0,-0.4) {$x\ex$};
  \node [right] at (1.7,1.7) {$2 \, \sqrt{\sigma\ex^2 + \sigma\ob^2}$};
  % axes
  \draw [very thick, <->] (-5,4) -- (-5,0) -- (5,0);
  \node [right] at (5,0) {$x$};
  % Gaussian
  \draw [domain=-5:5, smooth, variable=\x, cyclamen, very thick]
      plot ({\x}, {3*exp(-(\x*\x/3))});
  \pause
  % area
  \fill [domain=2:5, smooth, variable=\x, cyclamen!20!white, very thick]
        (2,0) -- plot ({\x}, {3*exp(-(\x*\x/3))}) -- (5,0) -- cycle;
  \fill [domain=-5:-2, smooth, variable=\x, cyclamen!20!white, very thick]
        (-5,0) -- plot ({\x}, {3*exp(-(\x*\x/3))}) -- (-2,0) -- cycle;
  % axes
  \draw [very thick, <->] (-5,4) -- (-5,0) -- (5,0);
  % Gaussian
  \draw [domain=-5:5, smooth, variable=\x, cyclamen, very thick]
      plot ({\x}, {3*exp(-(\x*\x/3))});
  %notes
  \draw [thick, cyclamen] (-2,0) -- (-2,0.8);
  \draw [thick, cyclamen] ( 2,0) -- ( 2,0.8);
  \node at (2,-0.4) {$x\ob$};
\end{tikzpicture}
\end{center}
\setbeamercovered{transparent}


## L sample results

\begin{center}
\begin{tabular}{rcccc}
  \toprule
                         &   & median       & mode        & fwhm        \\
  \midrule
  \multirow{2}{*}{50000} & $t$ & 0.761        & 1.012       & 1.338       \\
                         & $p$ & \gre{0.446}  & \gre{0.311} & \gre{0.181} \\
  \midrule
  \multirow{2}{*}{1000}  & $t$ & 1.549        & 0.072       & 3.790       \\
                         & $p$ & \gre{0.121}  & \gre{0.943} & \red{0.000} \\
  \midrule
  \multirow{2}{*}{200}   & $t$ & 2.508        & 0.418       & 1.547       \\
                         & $p$ & \red{0.012}  & \gre{0.676} & \gre{0.122} \\
  \toprule
\end{tabular}
\end{center}


## M sample results

\begin{center}
\begin{tabular}{rcccc}
  \toprule
                         &   & median       & mode        & fwhm        \\
  \midrule
  \multirow{2}{*}{50000} & $t$ & 669.9        & 0.732       & 1.329       \\
                         & $p$ & \gre{0.000}  & \gre{0.464} & \gre{0.184} \\
  \midrule                    
  \multirow{2}{*}{1000}  & $t$ & 25.47        & 0.665       & 1.890       \\
                         & $p$ & \gre{0.000}  & \gre{0.506} & \gre{0.059} \\
  \midrule                               
  \multirow{2}{*}{200}   & $t$ & 48.12        & 0.028       & 0.388       \\
                         & $p$ & \gre{0.000}  & \gre{0.978} & \gre{0.698} \\
  \toprule
\end{tabular}
\end{center}


## KS samples results

\begin{center}
\begin{tabular}{rlll}
  \toprule
                         &   & L sample     & M sample     \\
  \midrule
  \multirow{2}{*}{50000} & $D$ & 0.004        & 0.153        \\
                         & $p$ & \gre{0.379}  & \gre{0.000}  \\
  \midrule                    
  \multirow{2}{*}{1000}  & $D$ & 0.020        & 0.162        \\
                         & $p$ & \gre{0.794}  & \gre{0.000}  \\
  \midrule                    
  \multirow{2}{*}{200}   & $D$ & 0.086        & 0.226        \\
                         & $p$ & \gre{0.100}  & \gre{0.000}  \\
  \toprule
\end{tabular}
\end{center}


## Trapani samples results

\begin{center}
\begin{tabular}{rlllll}
  \toprule
                         & & \multicolumn{2}{c}{L sample} & \multicolumn{2}{c}{M sample}    \\
                         &          & mean        & variance    & mean        & variance    \\
  \midrule
  \multirow{2}{*}{50000} & $\Theta$ & 0.255       & 0.432       & 161.1       & 162.5       \\
                         & $p$      & \gre{0.614} & \gre{0.511} & \gre{0.000} & \gre{0.000} \\
  \midrule                                        
  \multirow{2}{*}{1000}  & $\Theta$ & 0.809       & 0.809       & 10.83       & 5.823       \\
                         & $p$      & \gre{0.368} & \gre{0.368} & \gre{0.016} & \gre{0.001} \\
  \midrule                                        
  \multirow{2}{*}{200}   & $\Theta$ & 0.472       & 0.170       & 2.232       & 2.981       \\
                         & $p$      & \gre{0.492} & \gre{0.680} & \red{0.135} & \red{0.084} \\
  \toprule
\end{tabular}
\end{center}
